%define module_name	lm_sensors
%define module_version	2.8.6
%define module_release	alt3.6.1

%define kversion	2.4.26
%define krelease	alt6.1
%define flavour		vs-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')


Summary:	%module_name modules
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www2.lm-sensors.nu/~lm78/
BuildPreReq:	kernel-build-tools >= 0.7
BuildRequires:	modutils
BuildRequires:	flex
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
%module_name provide "chip" drivers for specific sensors and i2c and smbus
protocol implementation.

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build CC=gcc PREFIX=/usr \
    LINUX=%_usrsrc/linux-%kversion-%flavour/ all


%install
make install LINUX=%_usrsrc/linux-%kversion-%flavour \
    DESTDIR=$RPM_BUILD_ROOT LINUX_INCLUDE_DIR=%_usrsrc/linux-%kversion-%flavour/include/linux \
    PREFIX=/usr


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/i2c/busses
/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/i2c/chips

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt3.6.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt2.6.1
- Rebuild for kernel 2.4.26.

* Fri Apr 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt1.6.1
- 2.8.6 release.

* Mon Mar 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.5-alt1.6.1
- 2.8.5 release.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.4-alt1.6.1
- 2.8.4 release.
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.3-alt1.6.1
- 2.8.3 release.

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.2-alt1.6.1
- 2.8.2 release.
- Use kernel-headers-modules for build (.config from the kernel is needed).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt3.6.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt2.6.1
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt1.6.1
- 2.8.1 release
- more spec cleanup

* Tue Sep 23 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt8.6.1
- fixed BuildRequires after kernel-source-lm_sensors* name changes
- space cleanup in spec

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 2.8.0-alt7.6.1
- replaced /usr/include to _includedir macro
- renamed package to kernel-modules-lm_sensor
- added build requires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt6
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt5
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt4
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt3
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt2
- rebuilt with 2.4.21rel-alt10

* Fri Aug  8 2003 Peter Novodvorsky <nidd@altlinux.com> 2.8.0-alt1
- new upstream release.

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt8
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt7
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt6
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt5
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt4
- rebuilt with 2.4.21rel-alt5

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt3
- rebuilt with 2.4.21rel alt3

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt2
- rebuilt with 2.4.21rel kernel

* Tue Apr 01 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt1
- initial release

